const fs = require('fs');
const path = require('path');

const stringifyEnv = require('../../../src/util/stringify-env');

const writeDotfiles = (cwd, { config = null, env = null }) => {
  const ENV_PATH = path.join(cwd, '.env');
  if (env) {
    fs.writeFileSync(
      ENV_PATH,
      `# generated by pgsh\n\n${stringifyEnv(env)}\n`,
      { encoding: 'utf8' },
    );
  } else if (fs.existsSync(ENV_PATH)) {
    fs.unlinkSync(ENV_PATH);
  }

  const PGSHRC_PATH = path.join(cwd, '.pgshrc');
  if (config) {
    fs.writeFileSync(
      PGSHRC_PATH,
      `${JSON.stringify(config, null, 2)}\n`,
      { encoding: 'utf8' },
    );
  } else if (fs.existsSync(PGSHRC_PATH)) {
    fs.unlinkSync(PGSHRC_PATH);
  }
};

module.exports = writeDotfiles;
